﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Examples1_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadHtmlChart1.DataSource = GetData();
		RadHtmlChart1.DataBind();
		string columnName = "My String";
		(RadHtmlChart1.PlotArea.Series[0] as ColumnSeries).TooltipsAppearance.ClientTemplate = columnName + "#if(value % 1 == 0) {# #=kendo.format(\\'{0:N0}\\', value)# #} else {# #=kendo.format(\\'{0:N2}\\', value)# #} #";
	}

	protected DataTable GetData()
	{
		DataTable dt = new DataTable();

		dt.Columns.Add("ID", typeof(int));
		dt.Columns.Add("SellQuantity", typeof(decimal));
		dt.Columns.Add("SellCategory", typeof(string));

		dt.Rows.Add(1, 122.3465, "Item 1");
		dt.Rows.Add(2, 135, "Item 2");
		dt.Rows.Add(3, 135.000, "Item 3");

		return dt;
	}

}